Index: bldmol.f
===================================================================
--- bldmol.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ bldmol.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,30 +1,30 @@
-c **************************************************************
-c
-c This file contains the subroutines:  bldmol, fnd3ba,eyring,
-c                                      setsys,setgbl
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines:  bldmol, fnd3ba,eyring,
+!                                      setsys,setgbl
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine bldmol(nml)
 
-c .................................................
-c PURPOSE: calculate coordinates for molecule 'nml'
-c
-c OUTPUT:  xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,
-c          ztoat (via 'eyring')
-c
-c          1st backbone atom of 1st residue of 'nml': 
-c
-c          - it's position: from 'gbpr(1-3,nml)'
-c          - it's axes: from 'setgbl' according to
-c            global angles 'gbpr(4-5,nml)'
-c
-c CALLS: eyring, fnd3ba,setgbl,setsys
-c .................................................
+! .................................................
+! PURPOSE: calculate coordinates for molecule 'nml'
+!
+! OUTPUT:  xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,
+!          ztoat (via 'eyring')
+!
+!          1st backbone atom of 1st residue of 'nml': 
+!
+!          - it's position: from 'gbpr(1-3,nml)'
+!          - it's axes: from 'setgbl' according to
+!            global angles 'gbpr(4-5,nml)'
+!
+! CALLS: eyring, fnd3ba,setgbl,setsys
+! .................................................
 
       include 'INCL.H'
@@ -34,10 +34,10 @@
 
       call fnd3ba(nml,i1,i2,i3)
-c ------------------------------ first 3 bb atoms of 'nml'
+! ------------------------------ first 3 bb atoms of 'nml'
       ixrfpt(1,nml)=i1
       ixrfpt(2,nml)=i2
       ixrfpt(3,nml)=i3
 
-c ------------------------------ position of 1st bb atom
+! ------------------------------ position of 1st bb atom
       xat(i1) = gbpr(1,nml)
       yat(i1) = gbpr(2,nml)
@@ -86,13 +86,13 @@
       return
       end
-c ***********************************
+! ***********************************
       subroutine fnd3ba(nml,i1,i2,i3)
  
-c .................................................
-c PURPOSE: return indices 'i1,i2,i3' of
-c          first 3 backbone atoms in molecule 'nml'
-c
-c CALLS:   fndbrn
-c .................................................
+! .................................................
+! PURPOSE: return indices 'i1,i2,i3' of
+!          first 3 backbone atoms in molecule 'nml'
+!
+! CALLS:   fndbrn
+! .................................................
  
       include 'INCL.H'
@@ -104,13 +104,13 @@
       irs=irsml1(nml)
 
-c --------------------------- 1st bb atom
+! --------------------------- 1st bb atom
       i1=iatrs1(irs)
 
       call fndbrn(nml,irs,i1,i,ix,i2,bb)
 
-c --------------------------- 2nd bb atom
+! --------------------------- 2nd bb atom
       i2=i+1
 
-c ------------------------ check for ring
+! ------------------------ check for ring
 
       ibd(1)=iowat(i1)
@@ -126,6 +126,6 @@
           if (ix.ne.0) then
             write (*,'(2a,i3)') 
-     #         ' fnd3ba> Can handle only simple ring at 1st',
-     #         ' atom of molecule #',nml
+     &         ' fnd3ba> Can handle only simple ring at 1st',
+     &         ' atom of molecule #',nml
             stop
           endif
@@ -135,5 +135,5 @@
       enddo
 
-c --------------------------- 3rd bb atom
+! --------------------------- 3rd bb atom
 
       ix=ixatrs(irs)
@@ -158,22 +158,22 @@
 
       write (*,'(4a,i4,a,i4)') 
-     #   ' fnd3ba> Cannot find backbone atom following ',nmat(i2),
-     #   ' of residue ',seq(irs),irs,' in molecule #',nml
+     &   ' fnd3ba> Cannot find backbone atom following ',nmat(i2),
+     &   ' of residue ',seq(irs),irs,' in molecule #',nml
       stop
 
       end
-c ***************************
+! ***************************
       subroutine eyring(i,ia)
 
-c .........................................................
-c PURPOSE:  calculate cartesian coordinates of atom 'i'
-c           using EYRING's algorithm
-c INPUT:    i - index of atom to be constructed
-c               for 'i': blat,csbaat,snbaat,cstoat,sntoat
-c           ia- index of atom from which 'i' is to be built
-c OUTPUT:   for 'i': xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,ztoat
-c
-c CALLS: none
-c .........................................................
+! .........................................................
+! PURPOSE:  calculate cartesian coordinates of atom 'i'
+!           using EYRING's algorithm
+! INPUT:    i - index of atom to be constructed
+!               for 'i': blat,csbaat,snbaat,cstoat,sntoat
+!           ia- index of atom from which 'i' is to be built
+! OUTPUT:   for 'i': xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,ztoat
+!
+! CALLS: none
+! .........................................................
 
       include 'INCL.H'
@@ -228,22 +228,22 @@
       return
       end
-c ***********************************************************
+! ***********************************************************
       subroutine setsys(i1,i2,i3, x1,x2,x3,y1,y2,y3,z1,z2,z3)
 
-c ..........................................................
-c  PURPOSE:  calculate axes X,Y,Z of right-handed orthogonal
-c            system given by three atom positions R1, R2, R3
-c
-c            X = (R2-R1)/ |( )|
-c            Z = {X x (R2-R3)} / |{ }|
-c            Y = Z x X
-c
-c  INPUT:    i1, i2, i3 - indices of three atoms
-c  OUTPUT:   x1,x2,x3 |
-c            y1,y2,y3 | -direction cosines of X,Y,Z
-c            z1,z2,z3 |
-c
-c  CALLS:    none
-c ...................................................
+! ..........................................................
+!  PURPOSE:  calculate axes X,Y,Z of right-handed orthogonal
+!            system given by three atom positions R1, R2, R3
+!
+!            X = (R2-R1)/ |( )|
+!            Z = {X x (R2-R3)} / |{ }|
+!            Y = Z x X
+!
+!  INPUT:    i1, i2, i3 - indices of three atoms
+!  OUTPUT:   x1,x2,x3 |
+!            y1,y2,y3 | -direction cosines of X,Y,Z
+!            z1,z2,z3 |
+!
+!  CALLS:    none
+! ...................................................
 
 
@@ -283,27 +283,27 @@
       end
 
-c *****************************************
+! *****************************************
       subroutine setgbl(nml,i1,i2,i3,xg,zg)
 
-c ...................................................
-c
-c PURPOSE: 1. Obtain global axes (J,K,L)
-c             related to x(1 0 0),y(0 1 0),z(0 0 1)
-c             by 3 rotations (gbl. parameters #4-#6):
-c
-c             - round z by angle alpha 
-c	      - round x' by a. beta 
-c	      - round y" by a. gamma
-c
-c          2. Return x-axis (xg) & z-axis (zg)
-c             for atom #1 in order to orientate J
-c             along the bond from backbone atom #1
-c             to bb.a. #2 and L according to the
-c             cross product [ bond(#1->#2) x
-c             bond(#2->#3) ] when using Eyring's
-c             algorithm to get the coordinates
-c
-c CALLS:   none
-c ..............................................
+! ...................................................
+!
+! PURPOSE: 1. Obtain global axes (J,K,L)
+!             related to x(1 0 0),y(0 1 0),z(0 0 1)
+!             by 3 rotations (gbl. parameters #4-#6):
+!
+!             - round z by angle alpha 
+!	      - round x' by a. beta 
+!	      - round y" by a. gamma
+!
+!          2. Return x-axis (xg) & z-axis (zg)
+!             for atom #1 in order to orientate J
+!             along the bond from backbone atom #1
+!             to bb.a. #2 and L according to the
+!             cross product [ bond(#1->#2) x
+!             bond(#2->#3) ] when using Eyring's
+!             algorithm to get the coordinates
+!
+! CALLS:   none
+! ..............................................
 
       include 'INCL.H'
@@ -319,5 +319,5 @@
       sg = sin(gbpr(6,nml))
 
-c ----------------------------- J
+! ----------------------------- J
       x1 =  ca*cg - sa*sb*sg
       x2 =  sa*cg + ca*sb*sg
@@ -328,5 +328,5 @@
       ag(2,1) = x2/d
       ag(3,1) = x3/d
-c ----------------------------- K
+! ----------------------------- K
       y1 = -sa*cb
       y2 =  ca*cb
@@ -337,5 +337,5 @@
       ag(2,2) = y2/d
       ag(3,2) = y3/d
-c ----------------------------- L
+! ----------------------------- L
       z1 =  ca*sg + sa*sb*cg
       z2 =  sa*sg - ca*sb*cg
@@ -347,5 +347,5 @@
       ag(3,3) = z3/d
 
-c ------------------------------------ X1
+! ------------------------------------ X1
       ct2 = cstoat(i2)
       st2 = sntoat(i2)
@@ -360,5 +360,5 @@
       x2 = x2/dx
       x3 = x3/dx
-c ------------------------------------- Z1
+! ------------------------------------- Z1
       st3 = sntoat(i3)
       ct3 = cstoat(i3)
@@ -372,9 +372,9 @@
       z2 = z2/dz
       z3 = z3/dz
-c ------------------------------------- Y1
+! ------------------------------------- Y1
       y1 = z2 * x3 - z3 * x2
       y3 = z1 * x2 - z2 * x1  ! do not need y2
 
-c ----------------------------- into global system
+! ----------------------------- into global system
 
       xg(1) = ag(1,1)*x1 + ag(1,2)*y1 + ag(1,3)*z1
Index: callbacktest.f
===================================================================
--- callbacktest.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ callbacktest.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,5 +1,5 @@
       subroutine metropolis(eol,enw,dummy)
-cf2py real*8 intent(in,out) eol
-cf2py real*8 intent(in,out) enw
+!f2py real*8 intent(in,out) eol
+!f2py real*8 intent(in,out) enw
         external dummy
         delta =  dummy(enw) - dummy(eol)
Index: canon.f
===================================================================
--- canon.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ canon.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,50 +1,50 @@
-c **************************************************************
-c
-c This file contains the subroutines: canon,can_weight 
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: canon,can_weight 
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine  canon(nequi, nswp, nmes, temp, lrand)
-C -----------------------------------------------------------------
-C PURPOSE: CANONICAL SIMULATION OF PROTEINS USING METROPOLIS UPDATES
-C
-C CALLS:  addang,energy,metropolis,hbond,helix,outvar,outpdb,rgyr
-C
-C-------------------------------------------------------------------
+! -----------------------------------------------------------------
+! PURPOSE: CANONICAL SIMULATION OF PROTEINS USING METROPOLIS UPDATES
+!
+! CALLS:  addang,energy,metropolis,hbond,helix,outvar,outpdb,rgyr
+!
+!-------------------------------------------------------------------
       include 'INCL.H'
 
-cf2py intent(in) nequi
-cf2py intent(in) nswp
-cf2py intent(in) nmes
-cf2py intent(in) temp
-cf2py logical optional, intent(in):: lrand = 1
+!f2py intent(in) nequi
+!f2py intent(in) nswp
+!f2py intent(in) nmes
+!f2py intent(in) temp
+!f2py logical optional, intent(in):: lrand = 1
 
-c     external rand
+!     external rand
       external can_weight
      
       logical lrand
-c      parameter(lrand=.false.)
-c      parameter(nequi=10, nswp=1000,nmes=10)
-c      parameter(temp=300.0)
-C     lrand=.true.: creates random start configuration 
-C     nequi: Number of sweeps for equilibrisation of system
+!      parameter(lrand=.false.)
+!      parameter(nequi=10, nswp=1000,nmes=10)
+!      parameter(temp=300.0)
+!     lrand=.true.: creates random start configuration 
+!     nequi: Number of sweeps for equilibrisation of system
       integer nequi
-C     nswp:  Number of sweeps for simulation run
+!     nswp:  Number of sweeps for simulation run
       integer nswp
-c     nmes:  Number of sweeps between measurments
+!     nmes:  Number of sweeps between measurments
       integer nmes
-C     temp:  Temperature of simulation
+!     temp:  Temperature of simulation
       double precision temp
-C
+!
 !      common/bet/beta
 
       character*80 file
 
-c     Define files for output:
+!     Define files for output:
       open(13,file='time.d')
 
@@ -52,5 +52,5 @@
       beta=1.0/ ( temp * 1.98773d-3 )
 
-c _________________________________ random start
+! _________________________________ random start
       if(lrand) then
        do i=1,nvr
@@ -65,8 +65,8 @@
       write (*,'(a,e12.5,/)')  'energy of start configuration:',eol
 
-C Write start configuration in pdb-format into file
+! Write start configuration in pdb-format into file
       call outpdb(0,'start.pdb')
 
-c =====================Equilibration by  Metropolis
+! =====================Equilibration by  Metropolis
       acz = 0.0d0
       do nsw=1,nequi
@@ -75,29 +75,29 @@
       write(*,*) 'Energy after equilibration:',eol
 
-C======================Simulation in canonical ensemble
+!======================Simulation in canonical ensemble
       acz = 0.0d0
       do nsw=0,nswp
         call metropolis(eol,acz,can_weight)
-c
+!
         if(mod(nsw,nmes).eq.0) then
-C Measure radius of gyration and end-to-end distance
-C rgy: radius of gyration
-C ee:  end-to-end distance
+! Measure radius of gyration and end-to-end distance
+! rgy: radius of gyration
+! ee:  end-to-end distance
          call rgyr(1,rgy,ee)
-C Measure helicity 
-C nhel: number of helical residues
-c mhel: number of helical segments
-c nbet: number of sheet-like residues
-c mbet: number of sheet-like segments
+! Measure helicity 
+! nhel: number of helical residues
+! mhel: number of helical segments
+! nbet: number of sheet-like residues
+! mbet: number of sheet-like segments
          call helix(nhel,mhel,nbet,mbet) 
-C Measure number of hydrogen bonds (mhb)
+! Measure number of hydrogen bonds (mhb)
         do i=1,ntlml
          call hbond(i,mhb,0)
         end do
-C Write down information on actual conformation
+! Write down information on actual conformation
          write(13,'(i5,2f12.3,5i7)')  nsw,  eol, rgy,
      &                              nhel,mhel,nbet,mbet,mhb
         end if
-C
+!
       end do
 
@@ -105,8 +105,8 @@
       write(*,*) 'acceptance rate:',acz
       write(*,*)
-c ------------ Output Dihedreals of final configuration
+! ------------ Output Dihedreals of final configuration
       write(*,*) 'last energy',eol
       call outvar(0,'lastconf.var')
-C     Output final conformation as pdb-file
+!     Output final conformation as pdb-file
       call outpdb(0,'final.pdb')
 
@@ -114,14 +114,14 @@
       close(12)
       close(13)
-c =====================
+! =====================
 
 
        end
 
-c ********************************************************
+! ********************************************************
       real*8 function can_weight(x)
-c
-c CALLS: none
-c
+!
+! CALLS: none
+!
 
       implicit real*8 (a-h,o-z) 
Index: cnteny.f
===================================================================
--- cnteny.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ cnteny.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,20 +1,20 @@
-c **************************************************************
-c
-c This file contains the subroutines: cnteny
-c
-c Copyright 2005       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: cnteny
+!
+! Copyright 2005       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine cnteny(nml)
 
-c ................................................................................
-c PURPOSE: Calculate atomic contact energy of molecule 'nml' with ECEPP parameters
-c
-c CALLS: nursat
-c ................................................................................
+! ................................................................................
+! PURPOSE: Calculate atomic contact energy of molecule 'nml' with ECEPP parameters
+!
+! CALLS: nursat
+! ................................................................................
 
       include 'INCL.H'
@@ -31,5 +31,5 @@
       if (ntlvr.eq.0) then
         write (*,'(a,i4)')
-     #           ' cnteny> No variables defined in molecule #',nml
+     &           ' cnteny> No variables defined in molecule #',nml
         return
       endif
@@ -178,5 +178,5 @@
           ir=nursat(i)
           write(*,'(1x,i4,1x,a4,1x,a4,a2,e11.4)') ir,seq(ir),nmat(i),
-     #                                            ': ',ey
+     &                                            ': ',ey
         endif
       enddo
Index: contacts.f
===================================================================
--- contacts.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ contacts.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,24 +1,24 @@
-c **************************************************************
-c
-c This file contains the subroutines: contacts,c_alfa,c_cont
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: contacts,c_alfa,c_cont
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
       
        subroutine contacts(ncn,nham2,dham)
 
-c ..............................................................
-c
-c CALCULATES NUMBER OF CONTACTS IN GIVEN CONFORMATION, NUMBER OF
-c CONTACTS WHICH ARE THE SAME IN GIVEN AND REFERENCE ONFORMATION,
-c AND THE HAMMING DISTANCE BETWEEN GIVEN  CONFORMATION AND THE 
-c REFERENCE CONFORMATIONa
-c
-c CALLS: c_cont
-c ..............................................................
+! ..............................................................
+!
+! CALCULATES NUMBER OF CONTACTS IN GIVEN CONFORMATION, NUMBER OF
+! CONTACTS WHICH ARE THE SAME IN GIVEN AND REFERENCE ONFORMATION,
+! AND THE HAMMING DISTANCE BETWEEN GIVEN  CONFORMATION AND THE 
+! REFERENCE CONFORMATIONa
+!
+! CALLS: c_cont
+! ..............................................................
 
       include 'INCL.H'
@@ -55,20 +55,20 @@
 
 
-c ********************************* 
+! ********************************* 
       subroutine c_alfa(nmol,ncode)
 
-c ......................................................
-c    Calculates the indices of C-alpha atoms and 
-c    stores in the array ind_alf(mxrs)
-c                        
-c    Usage: call c_alfa(nmol,ncode)
-c
-c           nmol - index of the molecule
-c           ncode ---> not in use in the current version
-c
-c    OUTPUT:  ind_alf(mxrs)
-c
-c CALLS: none
-c ......................................................
+! ......................................................
+!    Calculates the indices of C-alpha atoms and 
+!    stores in the array ind_alf(mxrs)
+!                        
+!    Usage: call c_alfa(nmol,ncode)
+!
+!           nmol - index of the molecule
+!           ncode ---> not in use in the current version
+!
+!    OUTPUT:  ind_alf(mxrs)
+!
+! CALLS: none
+! ......................................................
 
       include 'INCL.H'
@@ -77,5 +77,5 @@
         do ia=iatrs1(n_res),iatrs2(n_res) ! Over the atoms of res. 
 
-c     Check for C_alpha atoms
+!     Check for C_alpha atoms
 
          if (nmat(ia)(1:2).eq.'ca') then
@@ -89,41 +89,41 @@
       end
 
-c **********************************
+! **********************************
       subroutine c_cont (nmol,ncode)
 
-c..............................................................
-c  Calculates the matrix of contacts between aminoacid residues 
-c  of the molecule "nmol" according to  L.Mirny and E.Domany, 
-c  PROTEINS:Structure, Function, and Genetics 26:391-410 (1996)
-c                
-c  Two residues are in contact if their C_alpha atoms are
-c  closer than 8.5 Angstrem
-c
-c  Usage: call c_cont(nmol,ncode)
-c
-c       Where nmol is the index of the molecule (always 1, in the 
-c       current version of SMM)
-c       ncode ---> not in use in the current version
-c
-c  IMPORTANT: Before the first call of this subroutine  "c_alfa"
-c          must be called to calculate the inices of C_alpha atoms.
-c          (ONLY ONCE)
-c
-c   OUTPUT: The output of this routine is the contact matrix
-c          ijcont(mxrs,mxrs) 
-c
-c              ijcont(i,j)=0---> residues i and j are not in contact
-c              ijcont(i,j)=1---> ---------''----- are in contact
-c              ijcont(i,j)=2---> residues i and j are adjacent
-c
-c    NOTE:  Adjacent residues are always in contact (and therefore not
-c           counted)
-c
-c         Here "mxrs" is the maximum number of residues for SMM
-c         Obviously, this subroutine calculates only NxN part
-c         of that matrix, N -is the number of res. in "nmol"
-c 
-c CALLS:  none
-c..............................................................
+!..............................................................
+!  Calculates the matrix of contacts between aminoacid residues 
+!  of the molecule "nmol" according to  L.Mirny and E.Domany, 
+!  PROTEINS:Structure, Function, and Genetics 26:391-410 (1996)
+!                
+!  Two residues are in contact if their C_alpha atoms are
+!  closer than 8.5 Angstrem
+!
+!  Usage: call c_cont(nmol,ncode)
+!
+!       Where nmol is the index of the molecule (always 1, in the 
+!       current version of SMM)
+!       ncode ---> not in use in the current version
+!
+!  IMPORTANT: Before the first call of this subroutine  "c_alfa"
+!          must be called to calculate the inices of C_alpha atoms.
+!          (ONLY ONCE)
+!
+!   OUTPUT: The output of this routine is the contact matrix
+!          ijcont(mxrs,mxrs) 
+!
+!              ijcont(i,j)=0---> residues i and j are not in contact
+!              ijcont(i,j)=1---> ---------''----- are in contact
+!              ijcont(i,j)=2---> residues i and j are adjacent
+!
+!    NOTE:  Adjacent residues are always in contact (and therefore not
+!           counted)
+!
+!         Here "mxrs" is the maximum number of residues for SMM
+!         Obviously, this subroutine calculates only NxN part
+!         of that matrix, N -is the number of res. in "nmol"
+! 
+! CALLS:  none
+!..............................................................
 
        include 'INCL.H'
@@ -146,5 +146,5 @@
            do nr_j=nr_i+3,irsml2(nmol) ! Over res. j 
 
-c             write(*,'(2i3)'),nr_i,nr_j
+!             write(*,'(2i3)'),nr_i,nr_j
 
               ic=0
@@ -154,9 +154,9 @@
 
               rij2=(xat(ialf)-xat(jalf))**2
-     #              +(yat(ialf)-yat(jalf))**2
-     #                   + (zat(ialf)-zat(jalf))**2
+     &              +(yat(ialf)-yat(jalf))**2
+     &                   + (zat(ialf)-zat(jalf))**2
               if(sqrt(rij2).lt.rcut) ic=1
 
-c             write(*,'(2i3)'),nr_i,nr_j
+!             write(*,'(2i3)'),nr_i,nr_j
 
               ijcont(nr_i,nr_j)=ic
Index: difang.f
===================================================================
--- difang.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ difang.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,28 +1,28 @@
-c **************************************************************
-c
-c This file contains the subroutines: difang,addang
-c
-c Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: difang,addang
+!
+! Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       real*8 function difang(a1,a2)
 
-c ......................................................
-c  PURPOSE:  difang = a2 - a1  with:  -pi < difang <= pi
-c            
-c  INPUT:    a1,a2-two angles [rad.]
-c
-c  CALLS: none
-c
-c ......................................................
+! ......................................................
+!  PURPOSE:  difang = a2 - a1  with:  -pi < difang <= pi
+!            
+!  INPUT:    a1,a2-two angles [rad.]
+!
+!  CALLS: none
+!
+! ......................................................
 
       implicit real*8 (a-h,o-z)
 
       parameter (pi=3.141592653589793d0,
-     #           pi2=2.d0*pi)
+     &           pi2=2.d0*pi)
 
       d=mod((a2-a1),pi2)
@@ -35,20 +35,20 @@
       return
       end
-c *********************************
+! *********************************
       real*8 function addang(a1,a2)
 
-c ......................................................
-c  PURPOSE:  addang = a1 + a2  with:  -pi < addang <= pi
-c            
-c  INPUT:    a1,a2-two angles [rad.]
-c
-c  CALLS: none
-c
-c ......................................................
+! ......................................................
+!  PURPOSE:  addang = a1 + a2  with:  -pi < addang <= pi
+!            
+!  INPUT:    a1,a2-two angles [rad.]
+!
+!  CALLS: none
+!
+! ......................................................
 
       implicit real*8 (a-h,o-z)
 
       parameter (pi=3.141592653589793d0,
-     #           pi2=2.d0*pi)
+     &           pi2=2.d0*pi)
 
       d=mod((a1+a2),pi2)
Index: dihedr.f
===================================================================
--- dihedr.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ dihedr.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,23 +1,23 @@
-c **************************************************************
-c
-c This file contains the subroutines: dihedr,valang
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: dihedr,valang
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       real*8 function dihedr(i1,i2,i3,i4)
 
-c .............................................
-c  PURPOSE: return dihedral angle (i1,i2,i3,i4)
-c           [in rad.]
-c
-c  INPUT:   i1,i2,i3,i4 - indices of four atoms
-c
-c  CALLS:   none
-c .............................................
+! .............................................
+!  PURPOSE: return dihedral angle (i1,i2,i3,i4)
+!           [in rad.]
+!
+!  INPUT:   i1,i2,i3,i4 - indices of four atoms
+!
+!  CALLS:   none
+! .............................................
 
       include 'INCL.H'
@@ -49,12 +49,12 @@
         dihedr=acos(a)
         if (ux1*(uy2*z2-uz2*y2)+uy1*(uz2*x2-ux2*z2)+
-     #      uz1*(ux2*y2-uy2*x2).lt.zero) dihedr =-dihedr
+     &      uz1*(ux2*y2-uy2*x2).lt.zero) dihedr =-dihedr
         return
       else
         write (*,'(a,4i5)')' dihedr> Error in coordinates of atoms #: '
-     #                     ,i1,i2,i3,i4
+     &                     ,i1,i2,i3,i4
 
         write (*,*) 'stored coordinates are xvals :',
-     #       xat(i1),xat(i2),xat(i3),xat(i4) 
+     &       xat(i1),xat(i2),xat(i3),xat(i4) 
         write (*,*) 'yvals:', yat(i1),yat(i2),yat(i3),yat(i4) 
         write (*,*) 'zvals:', zat(i1),zat(i2),zat(i3),zat(i4) 
@@ -64,15 +64,15 @@
 
       end
-c ************************************
+! ************************************
       real*8 function valang(i1,i2,i3)
 
-c .........................................
-c  PURPOSE: return valence angle (i1,i2,i3)
-c           [in rad.] with 'i2' as vertex
-c
-c  INPUT:   i1,i2,i3 - indices of 3 atoms
-c
-c  CALLS:   none
-c .............................................
+! .........................................
+!  PURPOSE: return valence angle (i1,i2,i3)
+!           [in rad.] with 'i2' as vertex
+!
+!  INPUT:   i1,i2,i3 - indices of 3 atoms
+!
+!  CALLS:   none
+! .............................................
 
       include 'INCL.H'
@@ -101,7 +101,7 @@
       else
         write (*,'(a,3i5)')' valang> Error in coordinates of atoms #: '
-     #                     ,i1,i2,i3
+     &                     ,i1,i2,i3
         write (*,*) 'stored coordinates are xvals :',
-     #       xat(i1),xat(i2),xat(i3) 
+     &       xat(i1),xat(i2),xat(i3) 
         write (*,*) 'yvals:', yat(i1),yat(i2),yat(i3) 
         write (*,*) 'zvals:', zat(i1),zat(i2),zat(i3) 
